# long_press

Touch and hold a target.

Touch and hold a target.

| | |
|---|---|
| REST operation | [`act`](/reference/rest/actions/#act) (`POST /v1/devices/{deviceId}/actions`) |
| Action type | `longPress` |
| Needs a device | yes |
| Read only | no |
| Profiles | `core`, `testing`, `full` |

## Parameters

| Name | Required | Type | Goes to | What it is |
|---|---|---|---|---|
| `device_id` | yes | string | path `deviceId` | Stable device id such as `ios:00008120-001A2B3C4D5E6F70` or `android:R58M123ABC`. |
| `lease` | no | string | header `Silan-Lease` | Lease token when the device is claimed. |
| `target` | yes | object | body `action.target` | Exactly one of a point, an element ref from the latest observation, or a query. |
| `duration_ms` | no | integer | body `action.durationMs` |  |
| `return` | no | object | body `returning` |  |

## Example call

```text
long_press({ device_id: "ios:00008120-001A2B3C4D5E6F70", target: … })
```